Loading...
Searching...
No Matches
HaarClassifierCascadeDescriptor Struct Reference

Classifier cascade descriptor. More...

`#include </build/pcl-k79KrG/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCVHaarObjectDetection.hpp>`

## Public Attributes

Ncv32u | NumStages
Ncv32u | NumClassifierRootNodes
Ncv32u | NumClassifierTotalNodes
Ncv32u | NumFeatures
NcvSize32u | ClassifierSize
NcvBool | bNeedsTiltedII
NcvBool | bHasStumpsOnly

## Detailed Description

Classifier cascade descriptor.

Definition at line 314 of file NCVHaarObjectDetection.hpp.

## Member Data Documentation

## bHasStumpsOnly

NcvBool HaarClassifierCascadeDescriptor::bHasStumpsOnly

Definition at line 322 of file NCVHaarObjectDetection.hpp.

## bNeedsTiltedII

NcvBool HaarClassifierCascadeDescriptor::bNeedsTiltedII

Definition at line 321 of file NCVHaarObjectDetection.hpp.

## ClassifierSize

NcvSize32u HaarClassifierCascadeDescriptor::ClassifierSize

Definition at line 320 of file NCVHaarObjectDetection.hpp.

## NumClassifierRootNodes

Ncv32u HaarClassifierCascadeDescriptor::NumClassifierRootNodes

Definition at line 317 of file NCVHaarObjectDetection.hpp.

## NumClassifierTotalNodes

Ncv32u HaarClassifierCascadeDescriptor::NumClassifierTotalNodes

Definition at line 318 of file NCVHaarObjectDetection.hpp.

## NumFeatures

Ncv32u HaarClassifierCascadeDescriptor::NumFeatures

Definition at line 319 of file NCVHaarObjectDetection.hpp.

## NumStages

Ncv32u HaarClassifierCascadeDescriptor::NumStages

Definition at line 316 of file NCVHaarObjectDetection.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-k79KrG/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCVHaarObjectDetection.hpp